Loading...
Searching...
No Matches
sensors::Logger::Record Struct Reference

Sensor log record. More...

## Public Attributes

boolean | available
| Sensor was available for at least one sample.
int | takenValidSamples
| Number of samples with a valid reading/state.
int | state
| Sensor state.
double | minValue
| Minimum sensor reading.
double | avgValue
| Average sensor reading.
double | maxValue
| Maximum sensor reading.

## Detailed Description

Sensor log record.

Definition at line 153 of file SensorLogger.idl.

## Member Data Documentation

## available

boolean sensors::Logger::Record::available

Sensor was available for at least one sample.

Definition at line 154 of file SensorLogger.idl.

## avgValue

double sensors::Logger::Record::avgValue

Average sensor reading.

Definition at line 158 of file SensorLogger.idl.

## maxValue

double sensors::Logger::Record::maxValue

Maximum sensor reading.

Definition at line 159 of file SensorLogger.idl.

## minValue

double sensors::Logger::Record::minValue

Minimum sensor reading.

Definition at line 157 of file SensorLogger.idl.

## state

int sensors::Logger::Record::state

Sensor state.

Definition at line 156 of file SensorLogger.idl.

## takenValidSamples

int sensors::Logger::Record::takenValidSamples

Number of samples with a valid reading/state.

Definition at line 155 of file SensorLogger.idl.

The documentation for this struct was generated from the following file:

- SensorLogger.idl